package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type V2CustomStatusRequest struct {
	// <ext>core:true</ext> 【自定义参数id】自定义参数id
	CustomParamId string `json:"customParamId"`
	// <ext>core:true</ext> 【自定义参数状态】自定义参数状态 【作用】 自定义参数有已启用、已停用两种状态，可通过此接口启用/停用自定义参数。 【传参】 取值范围：1（启用），0（停用）；
	Status string `json:"status"`
}

func (obj V2CustomStatusRequest) GetUrl() string {
	return "/v2/custom/status"
}

func (obj V2CustomStatusRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("customParamId", obj.CustomParamId)
	parameter.AddParam("status", obj.Status)
	return parameter
}
